Subject: RE: [Sip] RFC 3261 Ambiguous SIP URI table in 19.1.1

From: "Sanjay Sinha \(sanjsinh\)" <[email-masked]>
Date: Wed, 8 Nov 2006 12:39:31 -0500

>-----Original Message-----
>From: Matthew Gardiner [mailto:[email-masked]] 
>Sent: Wednesday, November 08, 2006 7:29 AM
>To: Michael Procter; Sanjay Sinha (sanjsinh); [email-masked]
>Subject: RE: [Sip] RFC 3261 Ambiguous SIP URI table in 19.1.1
>
>> No.  This table only describes what forms are syntactically 
>valid.  It 
>> is useful when writing a parser, or to answer questions of 
>the form 'Can I write this in that location?'.
>
>Fair enough
>
>> Your question is whether or not omitting a non-default port 
>value is semantically valid or not, to which the answer is 'No'.
>
>Yes, that's right, I'm glad that someone understood my question.
>
>It's a shame, IMO, that RFC 3261 does not clarify this a 
>little better. For example, suppose I have received a 
>Record-Route "sip:192.168.2.1:5067", is it necessary to 
>include the port specification in the Request-URI and/or the 
>Route-set? The answer to that question is not inferred by the 
>mentioned table and surrounding text.
Maybe you are looking at the wrong place. For the example mentioned above, to create the request-uri, you should be looking at sec. 12.2.1.1

Sanjay

>
>thanks
>Matt 
>
>
>-----Original Message-----
>From: Michael Procter [mailto:[email-masked]]
>Sent: 08 November 2006 10:42
>To: Matthew Gardiner; Sanjay Sinha (sanjsinh); [email-masked]
>Subject: RE: [Sip] RFC 3261 Ambiguous SIP URI table in 19.1.1
>
>
>
>From: Matthew Gardiner [mailto:[email-masked]] 
>> This is not a sip-implementors question. It concerns the accuracy of 
>> "Table 1" on Section 19.1.11/12 of RFC 3261. Putting generalizations 
>> aside, lets look at the intersection between "port" and "dialog 
>> Contact/R-Route". The table says "o" for this case.
> 
>> Does this imply that presentation of the port assignment is optional 
>> if the port number happens to be a non-default value for the 
>port, e.g. 5067?
>> I doubt it. I think if the port is NOT EQUAL 5060 (5061 tls) 
>then the 
>> table's value at this intersection should be "m".
>
>No.  This table only describes what forms are syntactically 
>valid.  It is useful when writing a parser, or to answer 
>questions of the form 'Can I write this in that location?'.
>
>Your question is whether or not omitting a non-default port 
>value is semantically valid or not, to which the answer is 'No'.
>
>Regards,
>
>Michael
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip